VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   2910
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   6240
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2910
   ScaleWidth      =   6240
   Begin VB.CommandButton cmdPaintPicture 
      Caption         =   "PaintPicture"
      Height          =   495
      Left            =   2520
      TabIndex        =   7
      Top             =   1680
      Width           =   1215
   End
   Begin VB.CommandButton cmdBitBlt 
      Caption         =   "BitBlt"
      Height          =   495
      Left            =   2520
      TabIndex        =   6
      Top             =   1080
      Width           =   1215
   End
   Begin VB.TextBox txtTrials 
      Height          =   285
      Left            =   3000
      TabIndex        =   4
      Text            =   "1000"
      Top             =   120
      Width           =   735
   End
   Begin VB.PictureBox picTo 
      Height          =   2490
      Left            =   3840
      ScaleHeight     =   162
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   151
      TabIndex        =   2
      Top             =   120
      Width           =   2325
   End
   Begin VB.CommandButton cmdStretchBlt 
      Caption         =   "StretchBlt"
      Height          =   495
      Left            =   2520
      TabIndex        =   1
      Top             =   480
      Width           =   1215
   End
   Begin VB.PictureBox picFrom 
      AutoSize        =   -1  'True
      Height          =   2490
      Left            =   120
      Picture         =   "Form1.frx":0000
      ScaleHeight     =   162
      ScaleMode       =   3  'Pixel
      ScaleWidth      =   151
      TabIndex        =   0
      Top             =   120
      Width           =   2325
   End
   Begin VB.Label lblTime 
      Alignment       =   2  'Center
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   2640
      Width           =   6015
   End
   Begin VB.Label Label1 
      Caption         =   "Trials"
      Height          =   195
      Left            =   2520
      TabIndex        =   3
      Top             =   120
      Width           =   375
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function BitBlt Lib "gdi32" (ByVal hDestDC As Long, ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal dwRop As Long) As Long
Private Declare Function StretchBlt Lib "gdi32" (ByVal hDC As Long, ByVal x As Long, ByVal y As Long, ByVal nWidth As Long, ByVal nHeight As Long, ByVal hSrcDC As Long, ByVal xSrc As Long, ByVal ySrc As Long, ByVal nSrcWidth As Long, ByVal nSrcHeight As Long, ByVal dwRop As Long) As Long
Private Const SRCCOPY = &HCC0020


Private Sub cmdBitBlt_Click()
Dim num_trials As Integer
Dim trial As Integer
Dim start_time As Single
Dim stop_time As Single
Dim wid As Single
Dim hgt As Single

    num_trials = CInt(txtTrials.Text)
    wid = picFrom.ScaleWidth
    hgt = picFrom.ScaleHeight

    lblTime.Caption = ""
    Screen.MousePointer = vbHourglass
    DoEvents
    start_time = Timer
    For trial = 1 To num_trials
        picTo.Cls
        picTo.Refresh
        BitBlt picTo.hDC, 0, 0, wid, hgt, _
            picFrom.hDC, 0, 0, _
            SRCCOPY
        picTo.Refresh
    Next trial
    DoEvents
    stop_time = Timer
    Screen.MousePointer = vbDefault

    lblTime.Caption = _
        Format$(stop_time - start_time, "0.0000") & _
        " sec"
End Sub
Private Sub cmdPaintPicture_Click()
Dim num_trials As Integer
Dim trial As Integer
Dim start_time As Single
Dim stop_time As Single
Dim wid As Single
Dim hgt As Single

    num_trials = CInt(txtTrials.Text)
    wid = picFrom.ScaleWidth
    hgt = picFrom.ScaleHeight

    lblTime.Caption = ""
    Screen.MousePointer = vbHourglass
    DoEvents
    start_time = Timer
    For trial = 1 To num_trials
        picTo.Cls
        picTo.Refresh
        picTo.PaintPicture picFrom.Picture, 0, 0
        picTo.Refresh
    Next trial
    DoEvents
    stop_time = Timer
    Screen.MousePointer = vbDefault

    lblTime.Caption = _
        Format$(stop_time - start_time, "0.0000") & _
        " sec"
End Sub
Private Sub cmdStretchBlt_Click()
Dim num_trials As Integer
Dim trial As Integer
Dim start_time As Single
Dim stop_time As Single
Dim wid As Single
Dim hgt As Single

    num_trials = CInt(txtTrials.Text)
    wid = picFrom.ScaleWidth
    hgt = picFrom.ScaleHeight

    lblTime.Caption = ""
    Screen.MousePointer = vbHourglass
    DoEvents
    start_time = Timer
    For trial = 1 To num_trials
        picTo.Cls
        picTo.Refresh
        StretchBlt picTo.hDC, 0, 0, wid, hgt, _
            picFrom.hDC, 0, 0, wid, hgt, _
            SRCCOPY
        picTo.Refresh
    Next trial
    DoEvents
    stop_time = Timer
    Screen.MousePointer = vbDefault

    lblTime.Caption = _
        Format$(stop_time - start_time, "0.0000") & _
        " sec"
End Sub

Private Sub Form_Load()
    picTo.Width = picFrom.Width
    picTo.Height = picFrom.Height
End Sub


